<?php

class Country extends CActiveRecord
{
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	public function tableName()
	{
		return 'pc_country';
	}

	public static function gettablename()
	{
		$Country = new Country;
		return $Country->tableName();
	}

	public function rules()
	{
		return array(
			array('c_id, state_id, c_name, c_status', 'required', 'on'=>'manage'),
			array('c_id, state_id, c_name, c_status', 'safe', 'on'=>'search'),
		);
	}

	public static function listData()
	{
		$listData = CHtml::listData(Country::model()->findAll(array('condition'=>'','order'=>'c_name ASC')),'c_id','c_name');
		return $listData;
	}

	public function relations()
	{
		return array(
		);
	}

	public function attributeLabels()
	{
		return array(
			'c_id' => '',
			'state_id' => 'tate',
			'c_name' => 'Name',
			'c_status' => '-Inactive, 1 -Active',
		);
	}

	public function search()
	{
		$criteria=new CDbCriteria;
		$criteria->compare('c_id',$this->c_id);
		$criteria->compare('state_id',$this->state_id);
		$criteria->compare('c_name',$this->c_name,true);
		$criteria->compare('c_status',$this->c_status);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}
}