<div class="row">
<div class="well">
    <p><strong>List of Cash Transactions</strong> <span class="pull-right"><a href="<?php echo Common::usercreateUrl('addcash'); ?>" class="list-group-item">AddCash</a></span></p>
    <p>&nbsp;</p>
                             <?php 
                                $this->widget('zii.widgets.grid.CGridView', array(
                                  'id'=>'transactiondetails-grid',
                                  'dataProvider'=>$model->agent_user_transactions_search(),
                                  'itemsCssClass' => 'table table-striped table-bordered table-hover',
                                  'pagerCssClass' => 'dataTables_paginate paging_bootstrap pull-right',
                                  'enableSorting' => true,
                                  'enableHistory'=>false,
                                  'template'=>'<div class=row>&nbsp;</div>{items}<div class=row>&nbsp;</div>{summary}{pager}',
                                  'columns'=>array( 
                                    array('header' => '<input type="checkbox" id="checkbox_select_all" value="1" style="width:18px; height:18px;">', 'value' =>'Common::checkBoxcode($data->pcat_id)', 'type'=>'raw', 'name'=>'chbox', 'filter'=>''),
                                    'pcat_code',
                                    array('header' => 'Store Name', 'value'=>'$data->AgentRel->pcag_store_name'),
                                    array('header' => 'Cash Type', 'type' => 'html','value'=>'getTypeData($data->pcat_type)'),
                                    array('header' => 'Amount', 'type' => 'html','value'=>'$data->pcat_currency_symbol.$data->pcat_amount'),
                                    array('header' => 'Charges', 'type' => 'html','value'=>'$data->pcat_currency_symbol.$data->pcat_commission'),
                                    array('header' => 'QR Code', 'type' => 'html','value'=>'$data->pcat_user_qr'),
                                    array('header' => 'Status', 'type' => 'html','value'=>'getStatus($data->pcat_status)'),
                                    'pcat_created_at',
                                    'pcat_updated_at',
                                    /*
                                    array(
                                      'header'=>'Actions',
                                      'class'=>'CButtonColumn',
                                      'template'=>'{update}',
                                      'buttons'=>array (
                                        'update'=> array(
                                          'label'=>'',
                                          'imageUrl'=>'',
                                          'url'=>'Common::agentcreateUrl("edittransactiondetails",array("id"=>$data->pcat_id))',
                                           'options'=>array( 'class'=>'fa fa-edit', 'rel' => 'tooltip', 'data-toggle' => 'tooltip', 'title' => Yii::t('lang', 'edit') ),
                                        ),

                                        'delete'=>array(
                                          'label'=>'',
                                          'imageUrl'=>'',
                                          'url'=>'Common::agentcreateUrl("transactiondetailsdelete",array("id"=>$data->pcat_id))',
                                            'click'=>'function(){
                                              if(!confirm("Are you sure, want to delete the Transaction Details and it\"s related data?")) return false;
                                              $.fn.yiiGridView.update("transactiondetails-grid", {
                                                type:"POST", url:$(this).attr("href"),
                                                success:function(data) {
                                                  if(!data){
                                                    $.fn.yiiGridView.update("transactiondetails-grid");
                                                    new PNotify({title: "Success",text: "Transaction Details deleted successfully",type: "success",icon:"fa fa-check-circle", styling:"fontawesome"});
                                                  }
                                                }
                                              })
                                              return false;
                                            }',
                                          'options'=>array( 'class'=>'fa fa-fw fa-trash-o', 'rel' => 'tooltip', 'data-toggle' => 'tooltip', 'title' => Yii::t('lang', 'delete') ),
                                        ),
                                      ),
                                    ),

                                    */
                                  ),
                                  'pager' => array(
                                    'htmlOptions'=>array('class'=>'pagination'),
                                    'selectedPageCssClass'=>'active',
                                    'firstPageLabel'=>'First',
                                    'prevPageLabel'=>'Previous',
                                    'nextPageLabel'=>'Next',
                                    'lastPageLabel'=>'Last',
                                    'header'=>'',
                                    'maxButtonCount'=>8,
                                  ),
                                ));
                              ?>
                           
</div>

</div>
<p>&nbsp;</p>

<?php 
function getStatus($id){

    if($id == 0)
        return '<span class="label label-default">Pending</span>';
    else if ($id == 1)
        return '<span class="label label-success">Success</span>';
    else if ($id == 2)
        return '<span class="label label-primary">Completed</span>';
    else if ($id == 3)
        return '<span class="label label-danger">Cancelled</span>';
    else if ($id == 4)
        return '<span class="label label-warning">Expired</span>';

}

function getTypeData($id){

    if($id == 1)
        return '<span class="label label-primary">TopUp</span>';
    else if ($id == 2)
        return '<span class="label label-success">Withdraw</span>';

}
?>
