<?php
if (isset($_POST['Submit'])) {

    if (!isset($logo_src)) { $logo_src = ''; }
    if (!isset($address_to)) { $address_to = ''; }
    if (!isset($address_from)) { $address_from = ''; }
    if (!isset($date)) { $date = ''; }
    if (!isset($invoice_nr)) { $invoice_nr = ''; }
    if (!isset($invoice_total_due)) { $invoice_total_due = 0; }
    if (!isset($item_name)) { $item_name = ''; }
    if (!isset($invoice_subtotal)) { $invoice_subtotal = 0; }
    if (!isset($invoice_total_paid)) { $invoice_total_paid = 0; }
    if (!isset($notes)) { $notes = ''; }
    if (!isset($fromname)) { $fromname = ''; }

    $html = '
    <html>
        <head>
<style>
body {
    font-family:Arial;
    color:#4c606a;
}
.bill-to {
    float:left; 
    width:300px;
}
.bill-from {
    height:150px;
}
.invoice-logo {
    width:225px; 
    height:150px;
}
.invoice-head {
    float:right; 
    width:240px;
}
.invoice-head table {
    border-collapse:collapse;
    
}
.invoice-head table th {
    background:#f5f7f8;
    border:solid 1px #b8cbd4;
    text-align:right;
}
.invoice-head table td { 
    border:solid 1px #b8cbd4;
}
.invoice-items {
    display:block; 
    width:100%;
}
.invoice-items table {
    position:relative; 
    border-collapse: collapse;
    
}
.invoice-items table th {
    background:#f5f7f8;
    border:solid 1px #b8cbd4;
}
.invoice-items table td {
    border:solid 1px #b8cbd4;
}
.invoice-notes {
    display:block; 
    width:100%;
}
.button {
    display: inline-block;
    margin: 8px;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    border-radius: 8px;
    webkit-transition: -webkit-box-shadow .1s ease-in-out;
    -moz-transition: -moz-box-shadow .1s ease-in-out;
    -o-transition: -o-box-shadow .1s ease-in-out;
    transition: box-shadow .1s ease-in-out;
    font-size: 35px;
    color: #fff;
}

.button span {
    display: inline-block;
    padding: 10px 20px;
    border-radius:5px;
    background-color: #205081;
    font-family: "sans-serif", Arial, sans-serif;
    line-height: 1;
}

.button:hover span {
    background-color: #205081;
}
</style>
        </head>
        <body>
            <div class="bill-to">';
            
    if ($logo_src != '') {
        $html .= '
                <img src="http://demo13.rsoft5.com/'.$logo_src.'" class="invoice-logo"><br><br>';
    }

    $html .= '
                <h3>Bill to:</h3>
                <p>'.$address_to.'</p>
            </div>
            
            <div class="invoice-head">
                <div class="bill-from">
                    <h3>Bill From:</h3>
                    <p>'.$address_from.'</p>
                    <p> <a class="button" href="http://demo13.rsoft5.com/user/login?ty=rm&st='.base64_encode($invoice_nr).'"><span>Pay Now</span></a></p>
                </div>
                <h1>Invoice</h1>
              
                <table cellpadding="5" cellspacing="5" width="100%">';
                
    if ($date != '') {
        $html .='
                    <tr>
                        <th>Date</th>
                        <td>'.$date.'</td>
                    </tr>';
    }
              
    if ($invoice_nr != '') {
        $html .= '
                    <tr>
                        <th>Invoice #</th>
                        <td>'.$invoice_nr.'</td>
                    </tr>';
    }
              
    $html .= '
                    <tr>
                        <th>Amount due</th>
                        <td>J$ '.number_format($invoice_total_due,2,'.',',').'</td>
                    </tr>
                </table>
            </div>';
       
    $html .= '
            <div class="invoice-items">
                <br><br>
                <table cellpadding="5" cellspacing="5" width="100%">
                   <thead>
                       <tr>
                           <th>Item</th>
                           <th>Description</th>
                           <th>Price</th>
                           <th>Qty</th>
                           <th width="20%">Total</th>
                       </tr>
                   </thead>';
       
    // output each invoice line of items
    if (!empty($item_name)) {
    foreach($item_name as $a => $b) {
    $html .= '
                    <tr>
                        <td>'.$this->makeSafe($item_name[$a]).'</td>
                        <td>'.$this->makeSafe($item_desc[$a]).'</td>
                        <td>$ '.$this->makeSafe(number_format($item_price[$a],2, '.', ',')).'</td>
                        <td>'.$this->makeSafe($item_qty[$a]).'</td>
                        <td align="right">J$ '.$this->makeSafe(number_format($item_qty[$a] * $item_price[$a],2, '.', ',')).'</td>
                    </tr>';
    }
    }
    $html .= '
                    <tr>
                        <td colspan="4" align="right">Subtotal</td>
                        <td align="right">J$ '.number_format($invoice_subtotal,2, '.', ',').'</td>
                    </tr>
                    <tr>
                        <td colspan="4" align="right">Tax '.$invoice_taxrate.' %</td>
                        <td align="right">J$ '.number_format($invoice_subtotal + $invoice_total_tax - $invoice_subtotal,2, '.', ',').'</td>
                    </tr>
                    <tr>
                        <td colspan="4" align="right">Total</td>
                        <td align="right">J$ '.number_format($invoice_subtotal + $invoice_total_tax,2, '.', ',').'</td>
                    </tr>
                    <tr>
                        <td colspan="4" align="right">Paid</td>
                        <td align="right">J$ '.number_format($invoice_total_paid,2, '.', ',').'</td>
                    </tr>
                    <tr>
                        <td colspan="4" align="right">Total due</td>
                        <td align="right"><strong>J$ '.number_format($invoice_total_due,2, '.', ',').'</strong></td>
                    </tr>
                </table>
            </div>
            <br><br>
            <div class="invoice-notes"><p>'.$notes.'</p></div>
        </body>
    </html>'; 

}

    $subject = 'You have received an Invoice ('.$invoice_nr.') from '.ucfirst($fromname);
    $html .= "Please pay the invoice amount as soon as possible!". "\r\n";
    
    $headers = "MIME-Version: 1.0" . "\r\n";
    $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
    $headers .= 'From: No reply <no_reply@paysuh.com>' . "\r\n";
    mail( $address_to, $subject, $html, $headers);
?>